Copies
All operations require authentication.
List database copiesProduction
Returns the IDs of the copies of the database.
Path parameters
Database name
Service name
Response
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ copy \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Create a database copyProduction
Creates a copy of the database. The copy expires at the expiration date given in the response.
Path parameters
Database name
Service name
Response
Creation date of the database copy
Expiration date of the database copy
Database copy ID
Last update of the database copy
Database copy status
doingdoneerrortodoExample uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ copy \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "lastUpdate": "2024-01-01T12:00:00Z", "status": "doing"}
Get a database copyProduction
Returns the status, creation date and expiration date of the copy.
Path parameters
Database name
Id
Service name
Response
Creation date of the database copy
Expiration date of the database copy
Database copy ID
Last update of the database copy
Database copy status
doingdoneerrortodoExample uses databaseName = string, id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ copy/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "creationDate": "2024-01-01T12:00:00Z", "expirationDate": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "lastUpdate": "2024-01-01T12:00:00Z", "status": "doing"}
Delete a database copyProduction
Deletes the copy immediately, before its expiration date. A deleted copy can no longer be restored.
Path parameters
Database name
Id
Service name
Response
Example uses databaseName = string, id = 00000000-0000-0000-0000-000000000000, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ copy/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Restore a database copyProduction
Restores a copy into the database. The database is not flushed before the restore unless requested.
Path parameters
Database name
Service name
Request body (required)
Copy ID
Whether to flush the database before restoring the copy (default to false)
Response
Database name on which the task is working
Completion date
DumpId on which the task is working
Function name
abusechangeFtpPasswordchangeRamchangeVersionconfiguration/updatecreatedatabase/copydatabase/copyRestoredatabase/createdatabase/deletedatabase/dumpdatabase/dump/deletedatabase/extension/createdatabase/extension/deletedatabase/importdatabase/restoredatabase/wizarddeletegrant/creategrant/deletegrant/updateinstalloverquota/inoverquota/outquotaRefreshrefreshreopenrestartstartstopsuspenduser/changePassworduser/createuser/deletewebhostingNetwork/disablewebhostingNetwork/enablewhitelist/createwhitelist/deletewhitelist/updateThe id of the task
Last update
Task creation date
Task status
cancelleddoingdoneerrortodoUser name on which the task is working
Example uses databaseName = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ hosting/ privateDatabase/ {serviceName}/ database/ {databaseName}/ copyRestore \
-H "authorization: Bearer $OVH_TOKEN"{ "databaseName": "string", "doneDate": "2024-01-01T12:00:00Z", "dumpId": 0, "function": "abuse", "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "userName": "string"}